Commit 5205360b authored by Mickaël Canévet's avatar Mickaël Canévet
Browse files

Update with modulesync

parent cd501fb1
source ENV['GEM_SOURCE'] || "https://rubygems.org"
group :development, :unit_tests do
gem 'rake', :require => false
gem 'rake', ' < 11.0', :require => false if RUBY_VERSION =~ /^1\.8/
gem 'rspec', '< 3.2', :require => false if RUBY_VERSION =~ /^1\.8/
gem 'rspec-puppet', :require => false
gem 'puppetlabs_spec_helper', :require => false
......@@ -22,7 +22,6 @@ group :development, :unit_tests do
gem 'puppet-lint-alias-check', :require => false
gem 'rspec-puppet-facts', :require => false
gem 'ruby-augeas', :require => false
gem 'github_changelog_generator', '< 1.10.2', :require => false if RUBY_VERSION !~ /^1\.8/
gem 'puppet-blacksmith', :require => false if RUBY_VERSION !~ /^1\./
end
......
......@@ -14,10 +14,10 @@ PuppetSyntax.exclude_paths = ["spec/fixtures/**/*.pp", "vendor/**/*"]
unless RUBY_VERSION =~ /^1\./
require 'puppet_blacksmith'
require 'puppet_blacksmith/rake_tasks'
require 'github_changelog_generator/task'
GitHubChangelogGenerator::RakeTask.new :changelog do |config|
m = Blacksmith::Modulefile.new
config.future_release = m.version
config.release_url = "https://forge.puppetlabs.com/#{m.author}/#{m.name}/%s"
end
#require 'github_changelog_generator/task'
#GitHubChangelogGenerator::RakeTask.new :changelog do |config|
# m = Blacksmith::Modulefile.new
# config.future_release = m.version
# config.release_url = "https://forge.puppetlabs.com/#{m.author}/#{m.name}/%s"
#end
end
......@@ -5,7 +5,7 @@ HOSTS:
strict_variables:
platform: debian-6-amd64
hypervisor : docker
image: debian:6
image: debian/eol:squeeze
docker_preserve_image: true
docker_cmd: '["/sbin/init"]'
docker_image_commands:
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment